class XmlRiverError(Exception):
    messages = {
        2: 'Задан пустой поисковый запрос (в элементе query передано пустое значение) .',
        15: 'Для заданного поискового запроса отсутствуют результаты поиска.',
        20: 'Внутренняя ошибка. Обратитесь в службу поддержки.',
        21: 'Внутренняя ошибка. Обратитесь в службу поддержки.',
        22: 'Внутренняя ошибка. Обратитесь в службу поддержки.',
        23: 'Внутренняя ошибка. Обратитесь в службу поддержки.',
        24: 'Внутренняя ошибка. Обратитесь в службу поддержки.',
        31: 'Пользователь не зарегистрирован на сервисе.',
        42: 'Ключ, выданный при регистрации, содержит ошибку. Необходимо проверить корректность адреса, \
            используемого для отправки запросов.',
        45: 'С вашего IP сбор запрещён. Проверьте настройки доступа по IP в кабинете.',
        101: 'Сервис сбора данных на обновлении. Попробуйте чуть позже.',
        102: 'Неверный параметр groupby! \
            Возможные значения для Google: 10, 20, 30, 50, 100. \
            Возможные значения для Яндекс: 10.',
        103: 'Неверный параметр lr!',
        104: 'Неверный параметр loc!',
        105: 'Неверный параметр country!',
        106: 'Неверный параметр domain!',
        107: 'По Яндексу возможное значение ТОПа: 10!',
        110: 'Заняты все доступные вам каналы для сбора данных. Попробуйте позже. \
            Вами превышено максимально допустимое количество потоков.',
        111: 'Нет свободных каналов для сбора данных. Попробуйте позже. \
            По техническим причинам сейчас нет больше свободных каналов для сбора данных.',
        115: 'Ваше ПО слишком часто отправляет большее количество параллельных запросов, чем вам доступно. \
            Доступ откроется через N секунд.',
        120: 'Недопустимые символы или операторы в запросе.',
        200: 'На вашем счету закончились деньги. Для дальнейшей работы пополните свой счет.',
        201: 'Ваше ПО не забирает ответы по запросам! Прием запросов приостановлен на 20 минут для предотвращения пустой траты денег!',
        500: 'Ошибка сети. Повторите попытку.',
        999: 'Неизвестная ошибка',
    }
    def __init__(self, code):
        self.code = code
        self.message = self.messages.get(code, self.messages[999])
   
    def __str__(self):
        return self.message

    def __repr__(self):
        return self.message

def xmlriver_raise_exception(code):
    raise XmlRiverError(code)